  <div class="main-wrapper">

    <mat-card class="box p-5">
      
      <mat-card-header>
        <mat-card-title>Bem vindo à Reservas</mat-card-title>
      </mat-card-header>
  
      <form class="example-form" [formGroup]="signupForm" (submit)="onSubmit()">
        <mat-card-content>
          <mat-form-field class="col-12 form-group">
            <input matInput placeholder="E-mail" id="email" type="email" class="form-control" formControlName="email" required>
            <div *ngIf="f['email'].invalid && (f['email'].dirty || f['email'].touched)" class="form-text text-danger">
              <div *ngIf="f['email'].errors?.['email']"> Campo obrigatório </div>
          </div>
          </mat-form-field>
  
          <mat-form-field class="col-12 form-group">
            <input matInput placeholder="Senha" id="password" type="password" class="form-control" formControlName="password" required>
          </mat-form-field>

          <mat-form-field class="col-12 form-group">
            <input matInput placeholder="Confirmar Senha" id="confirmpassword" type="password" class="form-control" formControlName="confirmpassword" required>
          </mat-form-field>
  
          <mat-form-field class="col-12 form-group">
            <input matInput placeholder="Nome e apelido" id="name" type="text" class="form-control" formControlName="name" required>
          </mat-form-field>

          <div class="d-flex">
            <mat-form-field class="form-group">
                <input matInput placeholder="Prefix" type="text" class="form-control" formControlName="prefix" required>
            </mat-form-field> 

            <mat-form-field class="col-8 form-group">
                <input matInput placeholder="Telefone" type="text" class="form-control" formControlName="phone" required>
            </mat-form-field> 
          </div>

          <div class="form-group">
            <mat-form-field>
                <textarea matInput placeholder="Descrição" formControlName="description" class="form-control" required></textarea>
            </mat-form-field> 
            <div *ngIf="f['description'].invalid && (f['description'].dirty || f['description'].touched)" class="form-text text-danger">
                <div *ngIf="f['description'].errors?.['required']"> Campo obrigatório </div>
            </div>
          </div>

          <div>
            <div>
                <input id="image" type="file" formControlName="image" required (change)="selectFiles($event)" hidden>
                <label class="upload-button col-12" for="image"><span class="fa fa-upload"></span>Fotografia</label>
            </div>
            <div *ngIf="f['image'].invalid && (f['image'].dirty || f['image'].touched)" class="form-text text-danger">
                <div *ngIf="f['image'].errors?.['required']">
                    Campo obrigatório
                </div>
            </div>
            <div *ngIf="f['image'].value" class="form-text text-center text-success">
                Foto selecionada
            </div>
          </div>
          
      <button mat-stroked-button color="accent" class="btn-block col-12 mt-3" type="submit"> Registar </button>
      
          <div class="col-12 mt-3 text-center">
            <span> Já tem uma conta? </span>
            <a mat-button [routerLink]="'/login'"> Entrar </a>
          </div>
  
        </mat-card-content>
      </form>
  
    </mat-card>
  
  </div>
  